org.apache.ode.bpel.iapi

## Enum MyRoleMessageExchange.CorrelationStatus

- java.lang.Object
- - java.lang.Enum<MyRoleMessageExchange.CorrelationStatus>
  - - org.apache.ode.bpel.iapi.MyRoleMessageExchange.CorrelationStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MyRoleMessageExchange.CorrelationStatus>
  Enclosing interface:
    MyRoleMessageExchange

      public static enum MyRoleMessageExchange.CorrelationStatus
      extends java.lang.Enum<MyRoleMessageExchange.CorrelationStatus>

  Enumeration of message correlation results.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREATE_INSTANCE` The request resulted in the creation of a new instance.
    `MATCHED` The request was matched to an existing instance.fail
    `QUEUED` The request did not match an existing instance and was queued.
    `UKNOWN_ENDPOINT` The EPR is not associated with a process.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MyRoleMessageExchange.CorrelationStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MyRoleMessageExchange.CorrelationStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UKNOWN_ENDPOINT

          public static final MyRoleMessageExchange.CorrelationStatus UKNOWN_ENDPOINT

      The EPR is not associated with a process.

    - #### CREATE_INSTANCE

          public static final MyRoleMessageExchange.CorrelationStatus CREATE_INSTANCE

      The request resulted in the creation of a new instance.

    - #### MATCHED

          public static final MyRoleMessageExchange.CorrelationStatus MATCHED

      The request was matched to an existing instance.fail

    - #### QUEUED

          public static final MyRoleMessageExchange.CorrelationStatus QUEUED

      The request did not match an existing instance and was queued.

  - ### Method Detail

    - #### values

          public static MyRoleMessageExchange.CorrelationStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MyRoleMessageExchange.CorrelationStatus c : MyRoleMessageExchange.CorrelationStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MyRoleMessageExchange.CorrelationStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null